org.scalatest.prop

# TableDrivenPropertyChecks

#### object TableDrivenPropertyChecks extends TableDrivenPropertyChecks

Linear Supertypes
TableDrivenPropertyChecks, Tables, Whenever, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. TableDrivenPropertyChecks
2. TableDrivenPropertyChecks
3. Tables
4. Whenever
5. AnyRef
6. Any

Visibility

1. Public
2. All

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### object Table extends AnyRef

   Object containing one `apply` factory method for each `TableFor<n>` class.

7. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

8. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

9. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

10. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def forAll [A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U, V] (table: TableFor22[A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U, V])(fun: (A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U, V) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor22`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor22`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

13. #### def forAll [A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U] (table: TableFor21[A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U])(fun: (A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor21`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor21`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

14. #### def forAll [A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T] (table: TableFor20[A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T])(fun: (A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor20`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor20`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

15. #### def forAll [A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S] (table: TableFor19[A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S])(fun: (A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor19`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor19`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

16. #### def forAll [A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R] (table: TableFor18[A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R])(fun: (A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor18`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor18`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

17. #### def forAll [A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q] (table: TableFor17[A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q])(fun: (A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor17`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor17`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

18. #### def forAll [A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P] (table: TableFor16[A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P])(fun: (A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor16`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor16`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

19. #### def forAll [A, B, C, D, E, F, G, H, I, J, K, L, M, N, O] (table: TableFor15[A, B, C, D, E, F, G, H, I, J, K, L, M, N, O])(fun: (A, B, C, D, E, F, G, H, I, J, K, L, M, N, O) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor15`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor15`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

20. #### def forAll [A, B, C, D, E, F, G, H, I, J, K, L, M, N] (table: TableFor14[A, B, C, D, E, F, G, H, I, J, K, L, M, N])(fun: (A, B, C, D, E, F, G, H, I, J, K, L, M, N) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor14`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor14`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

21. #### def forAll [A, B, C, D, E, F, G, H, I, J, K, L, M] (table: TableFor13[A, B, C, D, E, F, G, H, I, J, K, L, M])(fun: (A, B, C, D, E, F, G, H, I, J, K, L, M) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor13`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor13`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

22. #### def forAll [A, B, C, D, E, F, G, H, I, J, K, L] (table: TableFor12[A, B, C, D, E, F, G, H, I, J, K, L])(fun: (A, B, C, D, E, F, G, H, I, J, K, L) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor12`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor12`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

23. #### def forAll [A, B, C, D, E, F, G, H, I, J, K] (table: TableFor11[A, B, C, D, E, F, G, H, I, J, K])(fun: (A, B, C, D, E, F, G, H, I, J, K) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor11`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor11`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

24. #### def forAll [A, B, C, D, E, F, G, H, I, J] (table: TableFor10[A, B, C, D, E, F, G, H, I, J])(fun: (A, B, C, D, E, F, G, H, I, J) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor10`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor10`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

25. #### def forAll [A, B, C, D, E, F, G, H, I] (table: TableFor9[A, B, C, D, E, F, G, H, I])(fun: (A, B, C, D, E, F, G, H, I) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor9`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor9`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

26. #### def forAll [A, B, C, D, E, F, G, H] (table: TableFor8[A, B, C, D, E, F, G, H])(fun: (A, B, C, D, E, F, G, H) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor8`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor8`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

27. #### def forAll [A, B, C, D, E, F, G] (table: TableFor7[A, B, C, D, E, F, G])(fun: (A, B, C, D, E, F, G) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor7`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor7`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

28. #### def forAll [A, B, C, D, E, F] (table: TableFor6[A, B, C, D, E, F])(fun: (A, B, C, D, E, F) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor6`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor6`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

29. #### def forAll [A, B, C, D, E] (table: TableFor5[A, B, C, D, E])(fun: (A, B, C, D, E) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor5`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor5`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

30. #### def forAll [A, B, C, D] (table: TableFor4[A, B, C, D])(fun: (A, B, C, D) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor4`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor4`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

31. #### def forAll [A, B, C] (table: TableFor3[A, B, C])(fun: (A, B, C) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor3`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor3`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

32. #### def forAll [A, B] (table: TableFor2[A, B])(fun: (A, B) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor2`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor2`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

33. #### def forAll [A] (table: TableFor1[A])(fun: (A) ⇒ Unit): Unit

    Performs a property check by applying the specified property check function to each row of the specified `TableFor1`.

    Performs a property check by applying the specified property check function to each row of the specified `TableFor1`.

    table

      the table of data with which to perform the property check

    fun

      the property check function to apply to each row of data in the table

    Definition Classes
      TableDrivenPropertyChecks

34. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

35. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

36. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

37. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

38. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

39. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

40. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

41. #### def toString (): String

    Definition Classes
      AnyRef → Any

42. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

43. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

44. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

45. #### def whenever (condition: Boolean)(fun: ⇒ Unit): Unit

    Evaluates the passed code block if the passed boolean condition is true, else throws `DiscardedEvaluationException`.

    Evaluates the passed code block if the passed boolean condition is true, else throws `DiscardedEvaluationException`.

    The `whenever` method can be used inside property check functions to discard invocations of the function with data for which it is known the property would fail. For example, given the following `Fraction` class:

        class Fraction(n: Int, d: Int) {

          require(d != 0)
          require(d != Integer.MIN_VALUE)
          require(n != Integer.MIN_VALUE)

          val numer = if (d < 0) -1 * n else n
          val denom = d.abs

          override def toString = numer + " / " + denom
        }

        import org.scalatest.prop.TableDrivenPropertyChecks._

        val fractions =
          Table(
            ("n", "d"),
            (  1,   2),
            ( -1,   2),
            (  1,  -2),
            ( -1,  -2),
            (  3,   1),
            ( -3,   1),
            ( -3,   0),
            (  3,  -1),
            (  3,  Integer.MIN_VALUE),
            (Integer.MIN_VALUE, 3),
            ( -3,  -1)
          )

    Imagine you wanted to check a property against this class with data that includes some value that are rejected by the constructor, such as a denominator of zero, which should result in an `IllegalArgumentException`. You could use `whenever` to discard any rows in the `fraction` that represent illegal arguments, like this:

        import org.scalatest.matchers.ShouldMatchers._

        forAll (fractions) { (n: Int, d: Int) =>

          whenever (d != 0 && d != Integer.MIN_VALUE
              && n != Integer.MIN_VALUE) {

            val f = new Fraction(n, d)

            if (n < 0 && d < 0 || n > 0 && d > 0)
              f.numer should be > 0
            else if (n != 0)
              f.numer should be < 0
            else
              f.numer should be === 0

            f.denom should be > 0
          }
        }

    In this example, rows 6, 8, and 9 have values that would cause a false to be passed to `whenever`. (For example, in row 6, `d` is 0, which means `d` `!=` `0` will be false.) For those rows, `whenever` will throw `DiscardedEvaluationException`, which will cause the `forAll` method to discard that row.

    condition

      the boolean condition that determines whether `whenever` will evaluate the `fun` function (`condition` is true) or throws `DiscardedEvaluationException` (`condition` is false)

    fun

      the function to evaluate if the specified `condition` is true

    Definition Classes
      Whenever

### Inherited from TableDrivenPropertyChecks

### Inherited from Tables

### Inherited from Whenever

### Inherited from AnyRef

### Inherited from Any